Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.web
Class ActionResult

    java.lang.Object
      com.bea.web.ActionResult

All Implemented Interfaces:
  Serializable

    public class ActionResult

extends Object
implements Serializable

Encapsulates information about the outcome of processing a request. Also provides information to the ControllerServlet to help it determine the next page to display to the user.

See Also:
  Serialized Form

Constructor Summary
`ActionResult()`
`ActionResult(String strAction)`
`ActionResult(String strAction, boolean bSuccess, String strMessage, String strNextAction)`

Method Summary
`void` | `addParameter(String strName, String strValue)`
`void` | `clearParameters()`
`String` | `getAction()`
`String` | `getInformation()`
`String` | `getMessage()`
`String` | `getNextAction()`
`boolean` | `isSuccess()`
`void` | `setInformation(String strInfo)`
`void` | `setMessage(String strMessage)`
`void` | `setSuccess(boolean bSuccess)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionResult

    public ActionResult()

### ActionResult

    public ActionResult(String strAction)

### ActionResult

    public ActionResult(String strAction,
                        boolean bSuccess,
                        String strMessage,
                        String strNextAction)

Method Detail

### getAction

    public final String getAction()

### getNextAction

    public final String getNextAction()

### getMessage

    public final String getMessage()

### setMessage

    public final void setMessage(String strMessage)

### isSuccess

    public final boolean isSuccess()

### setSuccess

    public final void setSuccess(boolean bSuccess)

### getInformation

    public final String getInformation()

### setInformation

    public final void setInformation(String strInfo)

### addParameter

    public final void addParameter(String strName,
                                   String strValue)

### clearParameters

    public final void clearParameters()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD